Security Enhanced Linux Reference Policy

# Layer: admin

## Module: usbmodules

Interfaces

### Description:

List kernel modules of USB devices

### Interfaces:

usbmodules_domtrans( domain )

##### Summary

Execute usbmodules in the usbmodules domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

usbmodules_run( domain , role )

##### Summary

Execute usbmodules in the usbmodules domain, and allow the specified role the usbmodules domain, and use the caller's terminal.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.
role | The role to be allowed the usbmodules domain.

Return